#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Copyright (C) 2021 Dejan Oljaca - License: GNU General Public License v2
# Contact: dejan@oljaca.de

from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import (metric_info, graph_info, perfometer_info)

metric_info["L-power"] = {
        "title": _("L1 + L2 + L3 POWER"),
        "unit": "w",
        "color": "26/a",
        }



metric_info["L1-power"] = {
        "title": _("L1 POWER"),
        "unit": "w",
        "color": "26/a",
        }

metric_info["L1-reactive"] = {
        "title": _("L1 Reactive POWER"),
        "unit": "va",
        "color": "26/a",
        }

metric_info["L1-voltage"] = {
        "title":  _("L1 VOLTAGE"),
        "unit": "v",
        "color": "25/a",
        }

metric_info["L1-pf"] = {
        "title":  _("L1 cos PF"),
        "unit": "count",
        "color": "25/a",
        }

metric_info["L1-current"] = {
        "title":  _("L1 Current"),
        "unit": "a",
        "color": "#ffb030"
        }



metric_info["L2-power"] = {
        "title": _("L2 POWER"),
        "unit": "w",
        "color": "26/a",
        }

metric_info["L2-reactive"] = {
        "title": _("L2 Reactive POWER"),
        "unit": "va",
        "color": "26/a",
        }

metric_info["L2-voltage"] = {
        "title":  _("L2 VOLTAGE"),
        "unit": "v",
        "color": "25/a",
        }
metric_info["L3-power"] = {
        "title": _("L3 POWER"),
        "unit": "w",
        "color": "26/a",
        }
metric_info["L2-pf"] = {
        "title":  _("L2 cos PF"),
        "unit": "count",
        "color": "25/a",
        }

metric_info["L2-current"] = {
        "title":  _("L2 Current"),
        "unit": "a",
        "color": "#ffb030"
        }


metric_info["L3-reactive"] = {
        "title": _("L3 Reactive POWER"),
        "unit": "va",
        "color": "26/a",
        }

metric_info["L3-voltage"] = {
        "title":  _("L3 VOLTAGE"),
        "unit": "v",
        "color": "25/a",
        }

metric_info["L3-pf"] = {
        "title":  _("L3 cos PF"),
        "unit": "count",
        "color": "25/a",
        }

metric_info["L3-current"] = {
        "title":  _("L3 Current"),
        "unit": "a",
        "color": "#ffb030"
        }



metric_info["L1_total"] = {
        "title":  _("L1 total consumed power"),
        "unit": "wh",
        "color": "25/a",
        }

metric_info["L2_total"] = {
        "title":  _("L2 total consumed power"),
        "unit": "wh",
        "color": "25/a",
        }

metric_info["L3_total"] = {
        "title":  _("L3 total consumed power"),
        "unit": "wh",
        "color": "25/a",
        }


metric_info["L1_total_returned"] = {
        "title":  _("L1 total returned power"),
        "unit": "wh",
        "color": "25/a",
        }

metric_info["L2_total_returned"] = {
        "title":  _("L2 total returned power"),
        "unit": "wh",
        "color": "25/a",
        }

metric_info["L3_total_returned"] = {
        "title":  _("L3 total returned power"),
        "unit": "wh",
        "color": "25/a",
        }


metric_info["L_total_current"] = {
        "title":  _("L3 total Current"),
        "unit": "a",
        "color": "25/a",
        }

metric_info["L_total_returned"] = {
        "title":  _("L3 total returned power"),
        "unit": "wh",
        "color": "25/a",
        }

metric_info["L_total_energy"] = {
        "title":  _("L3 total consumed energy"),
        "unit": "wh",
        "color": "25/a",
        }



perfometer_info.append({ "type": "linear", "segments": ["L1-power"], "total": 25000.0})
perfometer_info.append({ "type": "linear", "segments": ["L1-reactive"], "total": 30000.0})
perfometer_info.append({ "type": "linear", "segments": ["L1-voltage"], "total": 260.0})
perfometer_info.append({ "type": "linear", "segments": ["L2-power"], "total": 25000.0})
perfometer_info.append({ "type": "linear", "segments": ["L2-reactive"], "total": 30000.0})
perfometer_info.append({ "type": "linear", "segments": ["L2-voltage"], "total": 260.0})
perfometer_info.append({ "type": "linear", "segments": ["L3-power"], "total": 25000.0})
perfometer_info.append({ "type": "linear", "segments": ["L3-reactive"], "total": 30000.0})
perfometer_info.append({ "type": "linear", "segments": ["L3-voltage"], "total": 260.0})

perfometer_info.append({ "type": "linear", "segments": ["L1-total"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L2-total"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L3-total"], "total": 269990.0})

perfometer_info.append({ "type": "linear", "segments": ["L-power"], "total": 269990.0})

perfometer_info.append({ "type": "linear", "segments": ["L_total_current"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L_total_returned"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L_total_energy"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L1-current"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L2-current"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L3-current"], "total": 269990.0})

perfometer_info.append({ "type": "linear", "segments": ["L1-pf"], "half_value" : 0.5, "total": 1.0})
perfometer_info.append({ "type": "linear", "segments": ["L2-pf"], "half_value" : 0.5, "total": 1.0})
perfometer_info.append({ "type": "linear", "segments": ["L3-pf"], "half_value" : 0.5, "total": 1.0})


perfometer_info.append({ "type": "linear", "segments": ["L1_total_returned"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L2_total_returned"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L3_total_returned"], "total": 269990.0})

perfometer_info.append({ "type": "linear", "segments": ["L1_total"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L2_total"], "total": 269990.0})
perfometer_info.append({ "type": "linear", "segments": ["L3_total"], "total": 269990.0})
